package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.DebtList;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.DebtListRequest;
import com.ssm.manage.response.DebtDayVo;
import com.ssm.manage.response.DebtListResponse;

import java.util.Date;
import java.util.List;

public interface SsmDebtService extends BaseService<DebtList> {
    PageInfo<DebtListResponse> selectPage(DebtListRequest debtListRequest) throws SmsException;
    PageInfo<DebtListResponse> selectPageNew(DebtListRequest debtListRequest);
    List<DebtList> selectList(DebtListRequest debtListRequest);
    List<DebtList> selectLists(DebtList debtList);
    int addDebt(DebtListRequest debtListRequest);

    int deleteDebt(DebtListRequest debtListRequest);

    int insertBatch(List<DebtList> lists, Long storeId, String storeName);

    List<DebtDayVo> selectByDay(List<Long> storeIds, Date startTime, Date endTime);
}
